账号任务API接口
执行任务为异步运行
获取任务列表
http
GET /openapi/account/task响应:Pagination<Task>
查询参数:
| 字段名 | 可空 | 说明 |
|---|---|---|
current | 否 | 分页页码 |
pageSize | 否 | 每页数量,最大100 |
account_id | 否 | 指定账号 |
type | 是 | 任务类型,参考Task.type |
检测账号
http
POST /openapi/account/check请求体参数:
| 字段名 | 类型 | 可空 | 说明 |
|---|---|---|---|
account_ids | number[] | 否 | 账号 ID 列表 |
请求体参数示例
json
{
"account_ids": [
1001,
1002
]
}检测商店
http
POST /openapi/account/check-appstore请求体参数:
| 字段名 | 类型 | 可空 | 说明 |
|---|---|---|---|
account_ids | number[] | 否 | 账号 ID 列表 |
请求体参数示例
json
{
"account_ids": [
1001,
1002
]
}执行防盗任务
http
POST /openapi/account/anti-theft请求体参数:
| 字段名 | 类型 | 可空 | 说明 |
|---|---|---|---|
account_ids | number[] | 否 | 账号 ID 列表 |
请求体参数示例
json
{
"account_ids": [
1001,
1002
]
}修改账号密码
http
POST /openapi/account/change-password请求体参数:
| 字段名 | 类型 | 可空 | 说明 |
|---|---|---|---|
account_ids | number[] | 否 | 账号 ID 列表 |
password | string | 否 | 新密码 |
请求体参数示例
json
{
"account_ids": [
1001
],
"password": "mrwwP$95J"
}修改账号地区
http
POST /openapi/account/change-country请求体参数:
| 字段名 | 类型 | 可空 | 说明 |
|---|---|---|---|
account_ids | number[] | 否 | 账号 ID 列表 |
country | string | 否 | 地区码,参考Account.Country |
请求体参数示例
json
{
"account_ids": [
1001
],
"country": "USA"
}移除账号已登录设备
http
POST /openapi/account/remove-devices请求体参数:
| 字段名 | 类型 | 可空 | 说明 |
|---|---|---|---|
account_ids | number[] | 否 | 账号 ID 列表 |
请求体参数示例
json
{
"account_ids": [
1001
],
}修改账号密保
http
POST /openapi/account/change-questions请求体参数:
| 字段名 | 类型 | 可空 | 说明 |
|---|---|---|---|
account_ids | number[] | 否 | 账号 ID 列表 |
questions | Question[] | 否 | 密保问题 |
请求体参数示例
json
{
"account_ids": [
1001
],
"questions": [
{
"question": "朋友",
"answer": "aaa"
},
{
"question": "工作",
"answer": "bbb"
},
{
"question": "父母",
"answer": "ccc"
}
]
}修改账号姓名
http
POST /openapi/account/change-name请求体参数:
| 字段名 | 类型 | 可空 | 说明 |
|---|---|---|---|
account_ids | number[] | 否 | 账号 ID 列表 |
first_name | string | 否 | 名 |
last_name | string | 否 | 姓 |
请求体参数示例
json
{
"account_ids": [
1001
],
"first_name": "mr",
"last_name": "ww"
}修改账号邮箱
http
POST /openapi/account/change-email请求体参数:
| 字段名 | 类型 | 可空 | 说明 |
|---|---|---|---|
account_ids | number[] | 否 | 账号 ID 列表 |
name | string | 否 | 邮箱前缀 |
domain | string | 否 | 邮箱域名 |
请求体参数示例
json
{
"account_ids": [
1001
],
"name": "davis",
"domain": "appios.cc"
}